pkgname=blackikeeagle-system-update
pkgver=5
pkgrel=1
pkgdesc="BlackIkeEagle system-update helper"
arch=('x86_64')
url="https://blog.herecura.eu/blog/2019-05-22-how-i-manage-archlinux-updates/"
license=('MIT')
depends=(pacman pacman-contrib procps-ng iputils diffutils findutils)
source=('run-system-update'
        'download-updates.service'
        'download-updates.timer'
        'cleanup-pacman-cache.service'
        'cleanup-pacman-cache.timer'
        'transactional-update-on-boot.service'
        'transactional-update-on-boot.timer')
sha512sums=('ca60eaee1ff1e4b92e5c24ce9b28e10368fe6f9db746a09f3dbd6bd2e9040dbaa179d978fa5740217a3424a476703bff3f23c21a2d43926ccfdcded5f86d9e3d'
            '7edca16ecf8be3fdae3ff87037c9e88ebd64a77b3088677f5dea3429f8a23cc4f101462b9f0154e6e6b1cdcfa027b0f8b4383a9eaf50cb7b5692caa44cb63966'
            'a20f90003fdfcb4ad35385514dfef69e1bda63a5cb7ccc28d5ef84ec7bc41796517283e2534d56cf8add30f8bd4cb1272d7ad7e469e638541dc4016a139b00bb'
            'f2141e627f060a9816399b64bf0425e44f66ca03af26c1f016b4671f49843c08e23b16fcf626632a5aff41a718f8e3e126b5ba0417358f17f5f183681abce1f6'
            'e2c230b193ed702cf876d787d520d53de0013b896bdc6492e0216a207907d39b2b65c80cacf83becee30f7420ed4e78556962d9c092a83373cef7afacda5176e'
            '0dbe86556c9a6df0a193257e3bfc5b31c16c2a412a807fdb6eaba987adb2d6ad0856d655a73fcf9da4d5cd650458ac4c9a28ff6f18c62f79dd138fc2599db15e'
            '9cff07c852d903bf33da1e6d30e04e9cd6136a702bd03f56a40ea8891588b7ad394b9ae9e4daa143e470016c27dd22ec04ef44bfda66afda9264b0f97d95d852')

package() {
    install -Dm755 run-system-update \
        "$pkgdir/usr/bin/run-system-update"
    install -Dm644 download-updates.service \
        "$pkgdir/usr/lib/systemd/system/download-updates.service"
    install -Dm644 download-updates.timer \
        "$pkgdir/usr/lib/systemd/system/download-updates.timer"
    install -Dm644 cleanup-pacman-cache.service \
        "$pkgdir/usr/lib/systemd/system/cleanup-pacman-cache.service"
    install -Dm644 cleanup-pacman-cache.timer \
        "$pkgdir/usr/lib/systemd/system/cleanup-pacman-cache.timer"
    install -Dm644 transactional-update-on-boot.service \
        "$pkgdir/usr/lib/systemd/system/transactional-update-on-boot.service"
    install -Dm644 transactional-update-on-boot.timer \
        "$pkgdir/usr/lib/systemd/system/transactional-update-on-boot.timer"
}
